Introdução ao openSUSE tumbleweed 20162208

1. Introdução ao openSUSE tumbleweed 20162208

Bruno Morais Pinheiro
BrunoMorais

(usa Antergos)

Enviado em 25/08/2016 - 22:58h

Boa noite, sou novo por aqui e na distribuição, comecei em 2008 com o Ubuntu 7.10 e já mudei muitas vezes mas é a primeira vez que começo seriamente a usar o openSUSE na sua versão rolling release, tenho algumas dúvidas, outras já foram sanadas em pesquisas pela internet.

1º Uso a tecnologia optimus da nvidia/intel em uma 940M, porém conseguia instalar o driver proprietario pela gui do ubuntu e derivados e deixá-la funcionando como principal no lugar da intel graphics. Como faço para fazer o mesmo no openSUSE? Se não tiver essa possibilidade como faço para instalar e deixar funcionando corretamente o Bumblebee?

2º Sou estudante e preciso trabalhar com linguagem C e arduino, não consigo instalar IDE no tumbleweed, tentei o codeblocks mas a gui não abre, carrega e fecha sozinho, atualmente estou gerando código pelo emulador de terminal konsole e compilando com o gcc. Como faço para instalar alguma IDE? E qual a mais recomendada?

3º O Yast não encontra os repositórios automaticamente quando digito uma palavra-chave como packman, existe alguma forma dele encontrar os repositorios e instalar com apenas uma palavra-chave?

Agradeço desde já a ajuda dos companheiros.


  


2. Re: Introdução ao openSUSE tumbleweed 20162208

Izaias
izaias

(usa Ubuntu)

Enviado em 25/08/2016 - 23:13h

BrunoMorais escreveu:

Boa noite, sou novo por aqui e na distribuição, comecei em 2008 com o Ubuntu 7.10 e já mudei muitas vezes mas é a primeira vez que começo seriamente a usar o openSUSE na sua versão rolling release, tenho algumas dúvidas, outras já foram sanadas em pesquisas pela internet.

1º Uso a tecnologia optimus da nvidia/intel em uma 940M, porém conseguia instalar o driver proprietario pela gui do ubuntu e derivados e deixá-la funcionando como principal no lugar da intel graphics. Como faço para fazer o mesmo no openSUSE? Se não tiver essa possibilidade como faço para instalar e deixar funcionando corretamente o Bumblebee?

2º Sou estudante e preciso trabalhar com linguagem C e arduino, não consigo instalar IDE no tumbleweed, tentei o codeblocks mas a gui não abre, carrega e fecha sozinho, atualmente estou gerando código pelo emulador de terminal konsole e compilando com o gcc. Como faço para instalar alguma IDE? E qual a mais recomendada?

3º O Yast não encontra os repositórios automaticamente quando digito uma palavra-chave como packman, existe alguma forma dele encontrar os repositorios e instalar com apenas uma palavra-chave?

Agradeço desde já a ajuda dos companheiros.



1º habilite os repositórios pacman. Sem eles habilitados e atualizados, não vai encontrar nada, nem pelo YaST. Pesquise sobre.

Se é novo na distro, sugiro que instale o driver open source primeiro.
openSUSE tumbleweed atualiza o Kernel com frequência e se não tem paciencia para sempre remover o driver proprietário antes de cada atualização do kernel, instale o driver open source.

Com o driver proprietário instalado, terá Kernel panic a cada atualização do kernel Linux.


3. Re: Introdução ao openSUSE tumbleweed 20162208

Bruno Morais Pinheiro
BrunoMorais

(usa Antergos)

Enviado em 25/08/2016 - 23:39h

Obrigado Isaias, peregrinarei na documentação disponível na internet.

Quanto ao packman já o adicionei a alguns minutos atrás mas a atualização está bem lenta, irei aguardar para testar o que vem depois.


#1) Respeite a privacidade dos outros.
#2) Pense antes de digitar.
#3) Com grandes poderes vêm grandes responsabilidades.

Linux User: #601587


4. Re: Introdução ao openSUSE tumbleweed 20162208

Izaias
izaias

(usa Ubuntu)

Enviado em 25/08/2016 - 23:42h

Se estiver lenta, deve ter muitos repositórios habilitados.


5. Re: Introdução ao openSUSE tumbleweed 20162208

Bruno Morais Pinheiro
BrunoMorais

(usa Antergos)

Enviado em 25/08/2016 - 23:59h

Adição do packman concluída e instalação do vlc e ffmpeg realizada sem problemas.

Quanto aos repositórios tenho apenas os três padrões que vem no ato da instalação, o packman e agora um recém instalado libdvdcss que foi requisitado quando adicionei os codecs for kde.

Tenho uma conexão de 10Mbytes/s e o download dos pacotes multimédia não passam de 1Mbytes\s.

Já enfrentei problema parecido com Debian e Ubuntu, pode ser congestionamento ou rota do servidor, vou aguardar o download e testar um pouco mais.


#1) Respeite a privacidade dos outros.
#2) Pense antes de digitar.
#3) Com grandes poderes vêm grandes responsabilidades.

Linux User: #601587


6. Re: Introdução ao openSUSE tumbleweed 20162208

LinuxWalker
Delusion

(usa openSUSE)

Enviado em 26/08/2016 - 08:18h

uma dica:
se vc remover um pacote que veio na instalação original, adicione uma trava a ele com o comando "al". Caso contrário, o zypper/yast vai instalá-lo automaticamente na próxima vez que atualizar. Definitivamente odiei isso no zypper.





----------------------------------------------------------------------------------------------------
Não importa a distro que você usa, o que importa é o que você faz com ela.



7. Re: Introdução ao openSUSE tumbleweed 20162208

Alberto Federman Neto.
albfneto

(usa Sabayon)

Enviado em 26/08/2016 - 17:48h


Boa noite, sou novo por aqui e na distribuição, comecei em 2008 com o Ubuntu 7.10 e já mudei muitas vezes mas é a primeira vez que começo seriamente a usar o openSUSE na sua versão rolling release, tenho algumas dúvidas, outras já foram sanadas em pesquisas pela internet.

Olha, openSUSE mais recente, o mais rolling release que tem, agora não é mais o Tumbleweed, mas sim o Leap 42.2, este é o mais novo, openSUSE do futuro:

https://en.opensuse.org/Portal:42.2

veja aqui, diferenças do leap pro tumbleweed (de fato, tumbleweed era o rolling de 2013, sucessor do 13.2). O tumbleweed é baseado no Factory, mas o Leap 42 é o Factory mais novo:

https://en.opensuse.org/Portal:Tumbleweed


1º Uso a tecnologia optimus da nvidia/intel em uma 940M, porém conseguia instalar o driver proprietario pela gui do ubuntu e derivados e deixá-la funcionando como principal no lugar da intel graphics. Como faço para fazer o mesmo no openSUSE? Se não tiver essa possibilidade como faço para instalar e deixar funcionando corretamente o Bumblebee?

também dá pela GUI do openSUSE, o Yast, mas.... como é rolling, atenção porque ao atualizar, vai trocar o kernel e aí terá de reinstalar. marque o kernel no yast, para não ser atualizado.

2º Sou estudante e preciso trabalhar com linguagem C e arduino, não consigo instalar IDE no tumbleweed, tentei o codeblocks mas a gui não abre, carrega e fecha sozinho, atualmente estou gerando código pelo emulador de terminal konsole e compilando com o gcc. Como faço para instalar alguma IDE? E qual a mais recomendada?

codeblocks deveria funcionar, tentou abrir ele com comando, para ver porque está fechando?

3º O Yast não encontra os repositórios automaticamente quando digito uma palavra-chave como packman, existe alguma forma dele encontrar os repositorios e instalar com apenas uma palavra-chave?

Não é automático.... precisa adicionar os repos antes, no yast ou com comando zypper. Veja estes meus Artigos:

https://www.vivaolinux.com.br/artigo/openSUSE-As-varias-formas-de-atualizalo-e-de-instalar-pacotes

item D deste : https://edpsblog.wordpress.com/2016/07/22/reformando-os-sistemas-operacionais-de-um-microcomputador-...

Páginas 2,3,4 e 6 deste artigo.


https://www.vivaolinux.com.br/artigo/Usando-Linux-Vida-nova-para-um-velho-Itautec-Infoway



¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨
Albfneto,
Ribeirão Preto, S.P., Brasil.
Usuário Linux, Linux Counter: #479903.
Distros Favoritas: Sabayon, Gentoo, openSUSE, Mageia e OpenMandriva.


8. Re: Introdução ao openSUSE tumbleweed 20162208

Bruno Morais Pinheiro
BrunoMorais

(usa Antergos)

Enviado em 26/08/2016 - 18:02h

Obrigado pelo esclarecimento albfneto.

Ontem encontrei bastante dificuldade para trabalhar com o tumbleweed, acabei instalando o 42.1, por enquanto esta funcionando sem problemas e o codeblocks funcionando.




#1) Respeite a privacidade dos outros.
#2) Pense antes de digitar.
#3) Com grandes poderes vêm grandes responsabilidades.

Linux User: #601587


9. Re: Introdução ao openSUSE tumbleweed 20162208

Bruno Morais Pinheiro
BrunoMorais

(usa Antergos)

Enviado em 26/08/2016 - 19:12h

Terminei o que tinha para hoje e decidi melhorar o uso do openSUSE na minha máquina, decidi fazendo isso com a instalação do bumblebee.

Seguindo algumas dicas na internet adicionei os repositorios do bumblebee e da nvidia no yast:

http://download.opensuse.org/repositories/X11:/Bumblebee/openSUSE_Leap_42.1/
http://download.nvidia.com/opensuse/leap/42.1

fui no terminal e instalei o pacote bumblebee com um sudo zypper install nvidia-bumblebee.

porém na hora de abrir a gui da nvidia e executar o primusrun ou optirun aparece os seguintes erros:

Abrir a gui da nvidia
bruno@tapioca:~/Downloads> nvidia-settings

ERROR: libnvidia-gtk3.so.367.27: cannot open shared object file: No such file or
directory
libnvidia-gtk3.so: cannot open shared object file: No such file or directory
libnvidia-gtk2.so.367.27: cannot open shared object file: No such file or
directory
libnvidia-gtk2.so: cannot open shared object file: No such file or directory


ERROR: A problem occured when loading the GUI library. Please check your installation
and library path. You may need to specify this library when calling
nvidia-settings. Please run `nvidia-settings --help` for usage information.


Primusrun e Optirun:
bruno@tapioca:~/Downloads> primusrun glxgears
primus: fatal: failed to connect to Bumblebee daemon: No such file or directory
bruno@tapioca:~/Downloads> optirun glxgears
[ 790.930232] [ERROR]The Bumblebee daemon has not been started yet or the socket path /var/run/bumblebee.socket was incorrect.
[ 790.930265] [ERROR]Could not connect to bumblebee daemon - is it running?



#1) Respeite a privacidade dos outros.
#2) Pense antes de digitar.
#3) Com grandes poderes vêm grandes responsabilidades.

Linux User: #601587


10. Re: Introdução ao openSUSE tumbleweed 20162208

Ulrich Beckmann
Bequimao.de

(usa openSUSE)

Enviado em 28/08/2016 - 07:39h

Um aviso que achei nos fóruns alemães:
Priorizar o packman no YaST (20, números baixos são prioridade maior) e depois

# zypper ref && zypper dup 


Assim se evita uma mistura entre os repositórios.

Abs
Bequimão






Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts